# IZenMinter

## IZen

### Functions

#### mint

```solidity
function mint(
    address to,
    uint256 amount
) external
```

**Parameters**

| Name     | Type    | Description |
| -------- | ------- | ----------- |
| `to`     | address |             |
| `amount` | uint256 |             |

#### setMinter

```solidity
function setMinter(
    address newMinter
) external
```

**Parameters**

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| `newMinter` | address |             |

## IZenMinter

### Functions

#### poke

```solidity
function poke() external
```

#### setMinter

```solidity
function setMinter(
    address newMinter
) external
```

**Parameters**

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| `newMinter` | address |             |

#### mint

```solidity
function mint(
    address to,
    uint256 amount
) external
```

**Parameters**

| Name     | Type    | Description |
| -------- | ------- | ----------- |
| `to`     | address |             |
| `amount` | uint256 |             |

#### setZenTreasury

```solidity
function setZenTreasury(
    address newZenTreasury
) external
```

**Parameters**

| Name             | Type    | Description |
| ---------------- | ------- | ----------- |
| `newZenTreasury` | address |             |

#### setZenRewardsDripper

```solidity
function setZenRewardsDripper(
    address newZenRewardsDripper
) external
```

**Parameters**

| Name                   | Type    | Description |
| ---------------------- | ------- | ----------- |
| `newZenRewardsDripper` | address |             |

#### setAnnualMaxInflationBasisPoints

```solidity
function setAnnualMaxInflationBasisPoints(
    uint256 newAnnualMaxInflationBasisPoints
) external
```

**Parameters**

| Name                               | Type    | Description |
| ---------------------------------- | ------- | ----------- |
| `newAnnualMaxInflationBasisPoints` | uint256 |             |

#### annualMaxInflationBasisPoints

```solidity
function annualMaxInflationBasisPoints() external returns (uint256)
```

#### idealBufferCap

```solidity
function idealBufferCap() external returns (uint256)
```

#### zenCirculatingSupply

```solidity
function zenCirculatingSupply() external returns (uint256)
```

#### totalSupply

```solidity
function totalSupply() external returns (uint256)
```

#### isPokeNeeded

```solidity
function isPokeNeeded() external returns (bool)
```

#### zenTreasury

```solidity
function zenTreasury() external returns (address)
```

#### zenRewardsDripper

```solidity
function zenRewardsDripper() external returns (address)
```

### Events

#### AnnualMaxInflationUpdate

```solidity
event AnnualMaxInflationUpdate(
    uint256 oldAnnualMaxInflationBasisPoints,
    uint256 newAnnualMaxInflationBasisPoints
)
```

**Parameters**

| Name                               | Type    | Description |
| ---------------------------------- | ------- | ----------- |
| `oldAnnualMaxInflationBasisPoints` | uint256 |             |
| `newAnnualMaxInflationBasisPoints` | uint256 |             |
| ### ZenTreasuryUpdate              |         |             |

```solidity
event ZenTreasuryUpdate(
    address oldZenTreasury,
    address newZenTreasury
)
```

**Parameters**

| Name                        | Type    | Description |
| --------------------------- | ------- | ----------- |
| `oldZenTreasury`            | address |             |
| `newZenTreasury`            | address |             |
| ### ZenRewardsDripperUpdate |         |             |

```solidity
event ZenRewardsDripperUpdate(
    address oldZenRewardsDripper,
    address newZenRewardsDripper
)
```

**Parameters**

| Name                   | Type    | Description |
| ---------------------- | ------- | ----------- |
| `oldZenRewardsDripper` | address |             |
| `newZenRewardsDripper` | address |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.essencefinance.io/development/smart-contracts/zen/izenminter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
